AI
Smith builder reply (removed)
deprecated
Removed: use POST /v1/companion/chat with mode=builder and target_agent_id. See docs/runbooks/companion-smith-migration.md.
POST
/
v1
/
ai
/
agents
/
{agentID}
/
smith
/
messages
Smith builder reply (removed)
curl --request POST \
--url https://api.wazapin.com/v1/ai/agents/{agentID}/smith/messages \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>",
"messages": [
{
"content": "<string>",
"role": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({message: '<string>', messages: [{content: '<string>', role: '<string>'}]})
};
fetch('https://api.wazapin.com/v1/ai/agents/{agentID}/smith/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/ai/agents/{agentID}/smith/messages"
payload = {
"message": "<string>",
"messages": [
{
"content": "<string>",
"role": "<string>"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"agent_id": "<string>",
"message": "<string>",
"model": "<string>",
"provider": "<string>",
"confidence_score": 123,
"created_at": "<string>",
"message_id": "<string>",
"session_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}⌘I
Smith builder reply (removed)
curl --request POST \
--url https://api.wazapin.com/v1/ai/agents/{agentID}/smith/messages \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>",
"messages": [
{
"content": "<string>",
"role": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({message: '<string>', messages: [{content: '<string>', role: '<string>'}]})
};
fetch('https://api.wazapin.com/v1/ai/agents/{agentID}/smith/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/ai/agents/{agentID}/smith/messages"
payload = {
"message": "<string>",
"messages": [
{
"content": "<string>",
"role": "<string>"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"agent_id": "<string>",
"message": "<string>",
"model": "<string>",
"provider": "<string>",
"confidence_score": 123,
"created_at": "<string>",
"message_id": "<string>",
"session_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}